Bug 430930 - Adding disk to PV guest with addhardware fails with NameError
Adding disk to PV guest with addhardware fails with NameError
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 12:26 EST by Cole Robinson
Modified: 2009-12-14 16:18 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0480
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:28:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2008-01-30 12:26:29 EST
Description of problem:

Adding a disk to a paravirt guest via the addhardware wizard results in an error
printed to the console (if running with --no-fork flag).

Error message is:
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 228, in forward
    if(self.validate(notebook.get_current_page()) != True):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 704, in validate
    disk.driver_name = virtinst.VirtualDisk.DRIVER_TAP
NameError: global name 'disk' is not defined

Version-Release number of selected component (if applicable):

virt-manager-0.5.3-1.el5
Comment 1 Cole Robinson 2008-01-30 12:40:02 EST
Applied the fix upstream:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=90dd30034ebc

Fix is simple, non-intrusive, and easy to test. We want this in 5.2 as it blocks
adding any file backed disk to an existing PV guest from virt-manager.
Comment 2 RHEL Product and Program Management 2008-01-30 12:45:42 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Bill Burns 2008-01-30 14:09:31 EST
Setting dev ack for Cole.
Comment 5 Cole Robinson 2008-02-05 10:59:40 EST
This fix is available in the latest virt-manager package:

$ brew latest-pkg dist-5E-qu-candidate virt-manager
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
virt-manager-0.5.3-2.el5                  dist-5E-qu-candidate  crobinso
Comment 8 errata-xmlrpc 2008-05-21 13:28:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0480.html

Note You need to log in before you can comment on or make changes to this bug.